redrawstatus = 1
katzolwia = 0
pozycjax = 300
pozycjay = 300
rysowanie = 1

function forward(dlugosc)
    local a, b, x, y
    a = (math.sin(katzolwia * math.pi / 180) * dlugosc)
    b = (math.cos(katzolwia * math.pi / 180) * dlugosc)
    x = pozycjax + a
    y = pozycjay - b
    if rysowanie == 1 then
        line (pozycjax, pozycjay, x, y)
    end
    pozycjax = x
    pozycjay = y
    if redrawstatus == 1 then
		redraw()
	end
end

function backward(dlugosc)
    local a, b, x, y
    a = (math.sin(katzolwia * math.pi / 180) * dlugosc)
    b = (math.cos(katzolwia * math.pi / 180) * dlugosc)
    x = pozycjax - a
    y = pozycjay + b
    if rysowanie == 1 then
		line (pozycjax, pozycjay, x, y)
    end
    pozycjax = x
    pozycjay = y
    if redrawstatus == 1 then
		redraw()
	end
end 

function turnright(zmiana)
    katzolwia = katzolwia + zmiana
    if katzolwia > 360 then
        katzolwia = katzolwia - 360
    end
    if katzolwia < 0 then
        katzolwia = katzolwia + 360
    end
end

function turnleft (zmiana)
    katzolwia = katzolwia - zmiana
    if katzolwia > 360 then
        katzolwia = katzolwia - 360
    end
    if katzolwia < 0 then
        katzolwia = katzolwia + 360
    end
end

function penup()
    rysowanie = 0
end

function pendown()
    rysowanie = 1
end

function goxy(zmianax, zmianay)
    pozycjax = zmianax
    pozycjay = zmianay
end

function gox(zmianax)
    pozycjax = pozycjax + zmianax
end

function goy(zmianay)
    pozycjay = pozycjay + zmianay
end

function setredraw(zmiana)
	if zmiana == 0 then
		redrawstatus = 0
	elseif zmiana == 1 then
		redrawstatus =1
	end
end

function resetangle()
    katzolwia = 0
end
